## c-xsc-2.5.4-2.src.tar.gz

=== CMakeLists.txt ===
#CMakeLists.txt Configuration File, 2012-12-11
cmake_minimum_required(VERSION 2.4)

project(cxsc C CXX)

#set(CMAKE_BUILD_TYPE release)

# the current C-XSC version
set(VER_MAJOR "2")
set(VER_MINOR "5")
set(VER_PATCH "4")

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "C-XSC and the C++ Toolbox for Verified Computation")
set(CPACK_PACKAGE_VENDOR "Universitaet Wuppertal, Germany")
set(CPACK_PACKAGE_VERSION_MAJOR "${VER_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${VER_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${VER_PATCH}")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/docu/COPYING")
include(CPack)


# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
# SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


include_directories(
  # where cxscconf.h is
  ${CMAKE_CURRENT_BINARY_DIR}

  # the C-XSC sources
  ${CMAKE_SOURCE_DIR}/CToolbox/Modules
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/fi_lib
  ${CMAKE_SOURCE_DIR}/src/rts
  ${CMAKE_SOURCE_DIR}/src/asm
)

# Check for intel compiler
if (${CMAKE_C_COMPILER} MATCHES "icc") 
  set(USING_INTEL_COMPILER TRUE)
endif ()

# Rounding mode options
if(NOT WIN32)
  if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "ppc64")
    option(ROUNDING_ASM "Use assembler routines for rounding" ON)
    if(NOT ROUNDING_ASM)
      option(ROUNDING_HARD "Use hardware support for IEEE 759 arithmetic" ON)
      if(ROUNDING_HARD)
        option(ROUNDING_QUICK "Use the fast but critical hardware IEEE arithmetic" OFF)
      endif(ROUNDING_HARD)
    endif(NOT ROUNDING_ASM)
  endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "ppc64")
else(NOT WIN32)
  option(ROUNDING_HARD "Use hardware support for IEEE 759 arithmetic" ON)
  if(ROUNDING_HARD)
    option(ROUNDING_QUICK "Use the fast but critical hardware IEEE arithmetic" OFF)
  endif(ROUNDING_HARD)
endif(NOT WIN32)

# Option for shared or static library (either/or)
if(NOT WIN32)
  if(APPLE)
    option(BUILD_SHARED "Build the shared version of the library" OFF)
  else(APPLE)
    option(BUILD_SHARED "Build the shared version of the library" ON)
  endif(APPLE)
endif(NOT WIN32)

# option(BUILD_ALL_FILES "Build all .c and .cpp files instead of only those specified by the CMakeLists.txt in the subdirectories" OFF)


# set the rounding options in cxscconf.h. The C96 options are only used
# in the combination "SunOS" with a GNU compiler (as it is done in the
# install_cxsc file). Since the #if preprocessor directive treats undefined
# macros as zero, we can omit setting the others to "0".
if(NOT WIN32)
  if(ROUNDING_ASM)
    set(ROUND_ASM 1)
  else(ROUNDING_ASM)
    if(ROUNDING_HARD)
      if(ROUNDING_QUICK)
        set(ROUND_C99_QUICK 1)
      else(ROUNDING_QUICK)
        set(ROUND_C99_SAVE 1)
      endif(ROUNDING_QUICK)
    endif(ROUNDING_HARD)
  endif(ROUNDING_ASM)
endif(NOT WIN32)

# System settings for the RTS (big/little endian, 64 Bit)
if(APPLE)

  # powerpc
  if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "powerpc")
    set(SUN4_GNU_C 1)
  # Default (e.g. i386)
  else(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "powerpc")
    set(IBM_LINUX_C 1)
    set(GNU_X86_64 1)   
    set(CXSC_x86_64 1)
  endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "powerpc")

elseif(UNIX)

  # Linux systems
  if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    # alpha
    if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "alpha")
      set(DEC_ALPHA_C 1)
    # x86_64
    elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
      set(IBM_LINUX_C 1)
      set(GNU_X86_64 1)
      set(CXSC_x86_64 1)
    elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "ppc64")
      set(CXSC_PPC64 1)
      set(GNU_X86_64 1)
    # Default (e.g. i386, ia64)
    else(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "alpha")
      set(IBM_LINUX_C 1)
    endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "alpha")

  # AIX
  elseif(${CMAKE_SYSTEM_NAME} STREQUAL "AIX")
    set(IBM_RS_6000_C 1)
    set(GNU_X86_64 1)

  # SunOS
  elseif(${CMAKE_SYSTEM_NAME} STREQUAL "AIX")
    set(SUN4_GNU_C 1)

  # Default if nothing else matches. Used for example in cygwin
  else(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(IBM_LINUX_C 1)
  endif(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

elseif(MSVC)

  set(IBM_LINUX_C 1)
  set(WINDOWS_X86_32 1)

elseif(MINGW)

  set(IBM_LINUX_C 1)
  set(WINDOWS_MINGW 1)

else(APPLE)

  set(IBM_LINUX_C 1)

endif(APPLE)

# Create cxscconf.h file (will be created in the build directory)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/cxscconf.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/cxscconf.h
)

# add the list of files to compile (excluding example and test programs)
include(${CMAKE_SOURCE_DIR}/src/CMakeLists.txt)
include(${CMAKE_SOURCE_DIR}/src/fi_lib/CMakeLists.txt)
include(${CMAKE_SOURCE_DIR}/src/rts/CMakeLists.txt)
include(${CMAKE_SOURCE_DIR}/CToolbox/Modules/CMakeLists.txt)


# set the variables for all header files
file(GLOB cxsc_headers
  "${CMAKE_SOURCE_DIR}/src/*.h"
  "${CMAKE_SOURCE_DIR}/src/*.hpp"
  "${CMAKE_SOURCE_DIR}/src/*.inl"
)
file(GLOB rts_headers
  "${CMAKE_SOURCE_DIR}/src/rts/*.h"
)
file(GLOB fi_lib_headers
  "${CMAKE_SOURCE_DIR}/src/fi_lib/*.hpp"
)
file(GLOB asm_headers
   "${CMAKE_SOURCE_DIR}/src/asm/*.h"
)
file(GLOB ctoolbox_headers
  "${CMAKE_SOURCE_DIR}/CToolbox/Modules/*.hpp"
  "${CMAKE_SOURCE_DIR}/CToolbox/Modules/*.inl"
)

#Set special options depending on compiler (optimization, error free transformations)
if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86" AND CMAKE_COMPILER_IS_GNUCXX)
  #Compiler is GCC, System is 32 Bit x86
  if(ROUNDING_ASM)
    #Full optimizations, FP computations using SSE
    set(CMAKE_CXX_FLAGS "-O3 -mfpmath=sse -msse2")
    set(CMAKE_CC_FLAGS "-O3 -mfpmath=sse -msse2")
  else(ROUNDING_ASM)
    #Without assembler: Reduced optimizations, FP computations using SSE
    set(CMAKE_CXX_FLAGS "-O1 -finline-functions -mfpmath=sse -msse2")
    set(CMAKE_CC_FLAGS "-O1 -finline-functions -mfpmath=sse -msse2")
  endif(ROUNDING_ASM)
elseif(CMAKE_COMPILER_IS_GNUCXX)
  #Compiler is GCC, 64 Bit x86 System
  if(ROUNDING_ASM)
    #Full optimizations, SSE registers used by default
    set(CMAKE_CXX_FLAGS "-O3")
    set(CMAKE_CC_FLAGS "-O3")
  else(ROUNDING_ASM)
    #Reduced optimizations, SSE registers used by default
    set(CMAKE_CXX_FLAGS "-O1 -finline-functions")
    set(CMAKE_CC_FLAGS "-O1 -finline-functions")
  endif(ROUNDING_ASM)
elseif(USING_INTEL_COMPILER)
  #Intel Compiler: Full optimizations, reduced FP optimzations for correct rounding and error free transformations
  set(CMAKE_CXX_FLAGS "-O3 -fp-model source")
  set(CMAKE_CC_FLAGS "-O3 -fp-model source")
else(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86" AND CMAKE_COMPILER_IS_GNUCXX)
  #Default compiler options
  if(ROUNDING_ASM)
    #With assembler rounding: Full optimizations
    set(CMAKE_CXX_FLAGS "-O1")
    set(CMAKE_CC_FLAGS "-O1")
  elseif(ROUNDING_ASM)
    #Without assembler rounding: Reduced optimizations
    set(CMAKE_CXX_FLAGS "-O1")
    set(CMAKE_CC_FLAGS "-O1")
  endif(ROUNDING_ASM)
endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86" AND CMAKE_COMPILER_IS_GNUCXX)


#Add static or shared library to build
if(NOT WIN32)
  if(BUILD_SHARED)
    add_library(cxsc SHARED
      ${cxsc_src}
      ${rts_src}
      ${fi_lib_src}
      ${ctoolbox_src}
    )
  else(BUILD_SHARED)
    add_library(cxsc STATIC
      ${cxsc_src}
      ${rts_src}
      ${fi_lib_src}
      ${ctoolbox_src}
    )
  endif(BUILD_SHARED)
else(NOT WIN32)
  # on Windows only a static version of the library can be built.
  add_library(cxsc STATIC
    ${cxsc_src}
    ${rts_src}
    ${fi_lib_src}
    ${ctoolbox_src}
  )
endif(NOT WIN32)

# set the SO version of the library file
if(BUILD_SHARED)
  set_target_properties(cxsc PROPERTIES
    VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_PATCH}
    SOVERSION ${VER_MAJOR}
  )
endif(BUILD_SHARED)

# build the examples
add_subdirectory(examples)
add_subdirectory(CToolbox/Programs)
add_subdirectory(CToolbox/test)
add_subdirectory(CToolbox/test/test_programms)

# installation of the header files
install(FILES
  ${cxsc_headers}
  ${rts_headers}
  ${asm_headers}
  ${fi_lib_headers}
  ${ctoolbox_headers}
  ${CMAKE_CURRENT_BINARY_DIR}/cxscconf.h
DESTINATION include)

# installation of the documentation
install(FILES changelog README DESTINATION doc)

# install the library
install(TARGETS cxsc LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

# the source_group command groups the files in IDEs, e.g. in
# Microsoft Visual C++.
source_group("Source Files" FILES ${cxsc_src})
source_group("Source Files\\rts" FILES ${rts_src})
source_group("Source Files\\fi_lib" FILES ${fi_lib_src})
source_group("Source Files\\CToolbox" FILES ${ctoolbox_src})
source_group("Header Files" FILES ${cxsc_headers})
source_group("Header Files\\rts" FILES ${rts_headers})
source_group("Header Files\\asm" FILES ${asm_headers})
source_group("Header Files\\fi_lib" FILES ${fi_lib_headers})
source_group("Header Files\\CToolbox" FILES ${ctoolbox_headers})

#CTests for Testing CXSC Library of correctness
SET (CTOOLBOX_PROGRAMS_DIR ${CMAKE_CURRENT_BINARY_DIR}/CToolbox/test/test_programms) 

SET (CTOOLBOX_INPUT_DIR ${CMAKE_SOURCE_DIR}/CToolbox/test/test_input) 
SET (CTOOLBOX_VLG_EXP_DIR ${CMAKE_SOURCE_DIR}/CToolbox/test/test_vgl_exp) 

#make test, runs some test programms
ENABLE_TESTING()

#cpz_test_1
ADD_TEST(cpz_test_1 ${CTOOLBOX_PROGRAMS_DIR}/cpz_test 
  ${CTOOLBOX_INPUT_DIR}/cpz_ex.in1
  ${CTOOLBOX_VLG_EXP_DIR}/cpz_ex.vgl1
  ${CTOOLBOX_VLG_EXP_DIR}/cpz_ex.exp1)

#cpz_test_2
ADD_TEST(cpz_test_2 ${CTOOLBOX_PROGRAMS_DIR}/cpz_test 
  ${CTOOLBOX_INPUT_DIR}/cpz_ex.in2
  ${CTOOLBOX_VLG_EXP_DIR}/cpz_ex.vgl2 
  ${CTOOLBOX_VLG_EXP_DIR}/cpz_ex.exp2)

#gop1_test
ADD_TEST(gop1_test ${CTOOLBOX_PROGRAMS_DIR}/gop1_test 
  ${CTOOLBOX_INPUT_DIR}/gop1_ex.in
  ${CTOOLBOX_VLG_EXP_DIR}/gop1_ex.vgl
  ${CTOOLBOX_VLG_EXP_DIR}/gop1_ex.exp)

#gop_test
ADD_TEST(gop_test ${CTOOLBOX_PROGRAMS_DIR}/gop_test 
  ${CTOOLBOX_INPUT_DIR}/gop_ex.in
  ${CTOOLBOX_VLG_EXP_DIR}/gop_ex.vgl
  ${CTOOLBOX_VLG_EXP_DIR}/gop_ex.exp)
  
#hess_test
ADD_TEST(hess_test ${CTOOLBOX_PROGRAMS_DIR}/hess_test 
  ${CTOOLBOX_INPUT_DIR}/hess_ex.in
  ${CTOOLBOX_VLG_EXP_DIR}/hess_ex.vgl
  ${CTOOLBOX_VLG_EXP_DIR}/hess_ex.exp)
  
#jac_test
ADD_TEST(jac_test ${CTOOLBOX_PROGRAMS_DIR}/jac_test 
  ${CTOOLBOX_INPUT_DIR}/jac_ex.in
  ${CTOOLBOX_VLG_EXP_DIR}/jac_ex.vgl
  ${CTOOLBOX_VLG_EXP_DIR}/jac_ex.exp)
  
#lop_test_1
ADD_TEST(lop_test_1 ${CTOOLBOX_PROGRAMS_DIR}/lop_test
  ${CTOOLBOX_INPUT_DIR}/lop_ex.in1
  ${CTOOLBOX_VLG_EXP_DIR}/lop_ex.vgl1
  ${CTOOLBOX_VLG_EXP_DIR}/lop_ex.exp1)

#lop_test_2
ADD_TEST(lop_test_2 ${CTOOLBOX_PROGRAMS_DIR}/lop_test
  ${CTOOLBOX_INPUT_DIR}/lop_ex.in2
  ${CTOOLBOX_VLG_EXP_DIR}/lop_ex.vgl2
  ${CTOOLBOX_VLG_EXP_DIR}/lop_ex.exp2)
  
#lss_test_1
ADD_TEST(lss_test_1 ${CTOOLBOX_PROGRAMS_DIR}/lss_test
  ${CTOOLBOX_INPUT_DIR}/lss_ex.in1
  ${CTOOLBOX_VLG_EXP_DIR}/lss_ex.vgl1
  ${CTOOLBOX_VLG_EXP_DIR}/lss_ex.exp1)
  
#lss_test_2
ADD_TEST(lss_test_2 ${CTOOLBOX_PROGRAMS_DIR}/lss_test
  ${CTOOLBOX_INPUT_DIR}/lss_ex.in2
  ${CTOOLBOX_VLG_EXP_DIR}/lss_ex.vgl2
  ${CTOOLBOX_VLG_EXP_DIR}/lss_ex.exp2)
  
#nlfz_test
ADD_TEST(nlfz_test ${CTOOLBOX_PROGRAMS_DIR}/nlfz_test
  ${CTOOLBOX_INPUT_DIR}/nlfz_ex.in
  ${CTOOLBOX_VLG_EXP_DIR}/nlfz_ex.vgl
  ${CTOOLBOX_VLG_EXP_DIR}/nlfz_ex.exp)
  
#/nlss_test_1
ADD_TEST(nlss_test_1 ${CTOOLBOX_PROGRAMS_DIR}/nlss_test
  ${CTOOLBOX_INPUT_DIR}/nlss_ex.in1
  ${CTOOLBOX_VLG_EXP_DIR}/nlss_ex.vgl1
  ${CTOOLBOX_VLG_EXP_DIR}/nlss_ex.exp1)

#/nlss_test_2
ADD_TEST(nlss_test_2 ${CTOOLBOX_PROGRAMS_DIR}/nlss_test
  ${CTOOLBOX_INPUT_DIR}/nlss_ex.in2

=== CToolbox/Makefile ===
#
# This file is the Makefile for the C-XSC Toolbox
# ===============================================
#
##
##  CXSC is a C++ library for eXtended Scientific Computing 
##
##  Copyright (C) 1990-2000 Institut fuer Angewandte Mathematik,
##                          Universitaet Karlsruhe, Germany
##            (C) 2000-2009 Wiss. Rechnen/Softwaretechnologie
##                          Universitaet Wuppertal, Germany
##
##  This library is free software; you can redistribute it and/or
##  modify it under the terms of the GNU Library General Public
##  License as published by the Free Software Foundation; either
##  version 2 of the License, or (at your option) any later version.
##
##  This library is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  Library General Public License for more details.
##
##  You should have received a copy of the GNU Library General Public
##  License along with this library; if not, write to the Free
##  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##

#
#=================== don't modify the following values ========================#
#
include ctoolbox.obj
#the C-XSC root directory
CXSCDIR = $(PREFIX)
export CXSCDIR

# Settings for all systems ---------------------------------------------------
M = Modules#               		the toolbox modules directory
P = Programs#              		the toolbox programs directory

CXXINC=-I$(CXSCDIR)/include -I$(M) -I../src -I../src/rts -I../src/fi_lib -I../src/asm -I../ -I./#     additional include path
CXXFLAGS=$(CXXINC) $(CXXOPTS)#
ifeq ($(DYN),1)
ifeq ($(UNAME_SYSTEM),Darwin_i386)
	RPATH = $(CXSCDIR)/lib/libcxsc.so
else
	RPATH = -Wl,-R$(CXSCDIR)/lib
	export RPATH
endif
endif
LIBRARIES=-L$(CXSCDIR)/lib $(LIBS)

# Suffix rules
#-------------
.SUFFIXES:
.SUFFIXES: .cpp .o .a 

.cpp.o:
	$(CXX) -DNO_CXSC_STATUS -c $(FPIC) $(CXXFLAGS) $(CXXOPTIMIZE) $*.cpp -o $*.o

.cpp.a:
	$(CXX) -DNO_CXSC_STATUS -c $(FPIC) $(CXXFLAGS) $(CXXOPTIMIZE) $*.cpp -o $*.o
	@rm -f $*.o


# Default rule
#-------------

default:
	@echo
	@echo "C++ Toolbox for Verified Computing"
	@echo "you additionally need the C-XSC library"
	@echo

# Rules for generating executables of the sample programs
#--------------------------------------------------------
PRJ1  = cpz_ex
PRJ2  = ddf_ex
PRJ3  = gop_ex
PRJ4  = gop1_ex
PRJ5  = hess_ex
PRJ6  = jac_ex
PRJ7  = lop_ex
PRJ8  = lss_ex
PRJ9  = nlfz_ex
PRJ10 = nlss_ex
PRJ11 = rpe_ex
PRJ12 = xev_ex1
PRJ13 = xev_ex2
PRJ14 = xev_ex3
PRJ15 = fastlss_ex

$(PRJ1): $(P)/$(PRJ1).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ2): $(P)/$(PRJ2).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ3): $(P)/$(PRJ3).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ4): $(P)/$(PRJ4).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ5): $(P)/$(PRJ5).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ6): $(P)/$(PRJ6).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ7): $(P)/$(PRJ7).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)
 
$(PRJ8): $(P)/$(PRJ8).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ9): $(P)/$(PRJ9).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ10): $(P)/$(PRJ10).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ11): $(P)/$(PRJ11).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ12): $(P)/$(PRJ12).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ13): $(P)/$(PRJ13).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ14): $(P)/$(PRJ14).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

$(PRJ15): $(P)/$(PRJ15).cpp
	$(CXX) -o $(P)/$@ $(P)/$@.cpp $(CXXFLAGS) $(CXXOPTIMIZE) $(RPATH) $(LIBRARIES)

ALL_PROGRAMS = $(PRJ1)  $(PRJ2)  $(PRJ3)  $(PRJ4)  $(PRJ5)  $(PRJ6)  \
               $(PRJ7)  $(PRJ8)  $(PRJ9)  $(PRJ10) $(PRJ11) $(PRJ12) \
               $(PRJ13) $(PRJ14) $(PRJ15)

all: $(ALL_PROGRAMS)	
	@echo "all toolbox sample programs are (now) up-to-date"
	@echo

# Rules for generating the test programs
#---------------------------------------
TDIR = test
TPROG1  = tester
TPROG2  = sumup

$(TPROG1): $(TDIR)/$(TPROG1).cpp
	$(CXX) -o $(TDIR)/$(TPROG1) $(CXXINC) $(CXXOPTS) $(CXXOPTIMIZE) $(TDIR)/$(TPROG1).cpp $(RPATH) $(LIBRARIES)

$(TPROG2): $(TDIR)/$(TPROG2).cpp
	$(CXX) -I../ -o $(TDIR)/$(TPROG2) $(TDIR)/$(TPROG2).cpp 

lib: $(OBJ_CTOOLBOX)
	

test: $(TPROG1) $(TPROG2)
	($(P)/cpz_ex < $(P)/cpz_ex.in1) > $(TDIR)/cpz_ex.out1
	($(P)/cpz_ex < $(P)/cpz_ex.in2) > $(TDIR)/cpz_ex.out2
	($(P)/gop1_ex < $(P)/gop1_ex.in) > $(TDIR)/gop1_ex.out
	($(P)/gop_ex < $(P)/gop_ex.in) > $(TDIR)/gop_ex.out
	($(P)/hess_ex < $(P)/hess_ex.in) > $(TDIR)/hess_ex.out
	($(P)/jac_ex < $(P)/jac_ex.in) > $(TDIR)/jac_ex.out
	($(P)/lop_ex < $(P)/lop_ex.in1) > $(TDIR)/lop_ex.out1
	($(P)/lop_ex < $(P)/lop_ex.in2) > $(TDIR)/lop_ex.out2
	($(P)/lss_ex < $(P)/lss_ex.in1) > $(TDIR)/lss_ex.out1
	($(P)/lss_ex < $(P)/lss_ex.in2) > $(TDIR)/lss_ex.out2
	($(P)/nlfz_ex < $(P)/nlfz_ex.in) > $(TDIR)/nlfz_ex.out
	($(P)/nlss_ex < $(P)/nlss_ex.in1) > $(TDIR)/nlss_ex.out1
	($(P)/nlss_ex < $(P)/nlss_ex.in2) > $(TDIR)/nlss_ex.out2
	($(P)/rpe_ex < $(P)/rpe_ex.in1) > $(TDIR)/rpe_ex.out1
	($(P)/rpe_ex < $(P)/rpe_ex.in2) > $(TDIR)/rpe_ex.out2
	($(P)/xev_ex1 < $(P)/xev_ex1.in) > $(TDIR)/xev_ex1.out
	($(P)/xev_ex2 < $(P)/xev_ex2.in) > $(TDIR)/xev_ex2.out
	($(P)/xev_ex3 < $(P)/xev_ex3.in) > $(TDIR)/xev_ex3.out
	rm -f $(TDIR)/ergebnis.dat
	touch $(TDIR)/ergebnis.dat
	cd $(TDIR); ./tester cpz_ex.out1 cpz_ex.vgl1
	cd $(TDIR); ./tester cpz_ex.out2 cpz_ex.vgl2
	cd $(TDIR); ./tester gop1_ex.out gop1_ex.vgl
	cd $(TDIR); ./tester gop_ex.out gop_ex.vgl
	cd $(TDIR); ./tester hess_ex.out hess_ex.vgl
	cd $(TDIR); ./tester jac_ex.out jac_ex.vgl
	cd $(TDIR); ./tester lop_ex.out1 lop_ex.vgl1
	cd $(TDIR); ./tester lop_ex.out2 lop_ex.vgl2
	cd $(TDIR); ./tester lss_ex.out1 lss_ex.vgl1
	cd $(TDIR); ./tester lss_ex.out2 lss_ex.vgl2
	cd $(TDIR); ./tester nlfz_ex.out nlfz_ex.vgl
	cd $(TDIR); ./tester nlss_ex.out1 nlss_ex.vgl1
	cd $(TDIR); ./tester nlss_ex.out2 nlss_ex.vgl2
	cd $(TDIR); ./tester rpe_ex.out1 rpe_ex.vgl1
	cd $(TDIR); ./tester rpe_ex.out2 rpe_ex.vgl2
	cd $(TDIR); ./tester xev_ex1.out xev_ex1.vgl
	cd $(TDIR); ./tester xev_ex2.out xev_ex2.vgl
	cd $(TDIR); ./tester xev_ex3.out xev_ex3.vgl
	cd $(TDIR); ./sumup

install_header:
# install header files
	$(INSTDIR) $(PREFIX)/include
	$(INSTALL) $(M)/*.hpp  $(PREFIX)/include
	$(INSTALL) $(M)/*.inl  $(PREFIX)/include

install: install_header
	$(INSTDIR) $(PREFIX)/examples
	@cd Programs; $(INSTALL) cpz_ex ddf_ex gop_ex gop1_ex hess_ex jac_ex lop_ex lss_ex nlfz_ex nlss_ex rpe_ex xev_ex1 xev_ex2 xev_ex3 fastlss_ex $(PREFIX)/examples
	@cd Programs; $(INSTALL) cpz_ex.cpp ddf_ex.cpp gop_ex.cpp gop1_ex.cpp hess_ex.cpp jac_ex.cpp lop_ex.cpp lss_ex.cpp nlfz_ex.cpp nlss_ex.cpp rpe_ex.cpp xev_ex1.cpp xev_ex2.cpp xev_ex3.cpp fastlss_ex.cpp $(PREFIX)/examples

installprog:
	$(INSTDIR) $(PREFIX)/examples
	@cd Programs; $(INSTALLEXE) cpz_ex ddf_ex gop_ex gop1_ex hess_ex jac_ex lop_ex lss_ex nlfz_ex nlss_ex rpe_ex xev_ex1 xev_ex2 xev_ex3 fastlss_ex $(PREFIX)/examples
	@cd Programs; $(INSTALL) cpz_ex.cpp ddf_ex.cpp gop_ex.cpp gop1_ex.cpp hess_ex.cpp jac_ex.cpp lop_ex.cpp lss_ex.cpp nlfz_ex.cpp nlss_ex.cpp rpe_ex.cpp xev_ex1.cpp xev_ex2.cpp xev_ex3.cpp fastlss_ex.cpp $(PREFIX)/examples

uninstall:
# remove header files
	@for i in $(UNINSTALL_OBJ); do \
		$(RM) $(PREFIX)/include/$$i ; \
	done

clean:
	rm -f $(P)/$(PRJ1) $(P)/$(PRJ2) $(P)/$(PRJ3) $(P)/$(PRJ4) \
	$(P)/$(PRJ5) $(P)/$(PRJ6) $(P)/$(PRJ7) $(P)/$(PRJ8) $(P)/$(PRJ9) \
	$(P)/$(PRJ10) $(P)/$(PRJ11) $(P)/$(PRJ12) $(P)/$(PRJ13) \
	$(P)/$(PRJ14) $(P)/$(PRJ15)
	rm -f $(P)/*.o
	rm -f test/sumup test/tester test/*.out*

.phony: test

=== examples/CMakeLists.txt ===

include_directories(${CMAKE_SOURCE_DIR}
        ${CMAKE_SOURCE_DIR}/CToolbox/Modules
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_SOURCE_DIR}/src/fi_lib
        ${CMAKE_SOURCE_DIR}/src/rts)

link_directories(
  ${CMAKE_SOURCE_DIR/src}
)

add_executable(allzeros allzeros.cpp)
add_executable(example example.cpp)
add_executable(inewton inewton.cpp)
add_executable(io io.cpp)
add_executable(lexample lexample.cpp)
add_executable(linewton linewton.cpp)
add_executable(rungekutta rungekutta.cpp)
add_executable(trace trace.cpp)

target_link_libraries(allzeros cxsc)
target_link_libraries(example cxsc)
target_link_libraries(inewton cxsc)
target_link_libraries(io cxsc)
target_link_libraries(lexample cxsc)
target_link_libraries(linewton cxsc)
target_link_libraries(rungekutta cxsc)
target_link_libraries(trace cxsc)

file(GLOB example_src "*.cpp")
install(FILES ${example_src} DESTINATION examples)
install(TARGETS allzeros example inewton io lexample linewton rungekutta trace RUNTIME DESTINATION examples)

=== src/CMakeLists.txt ===
set(cxsc_src
  src/cdot.cpp
  src/cidot.cpp
  src/cimath.cpp
  src/cimatrix.cpp
  src/cinterval.cpp
  src/civector.cpp
  src/cmatrix.cpp
  src/complex.cpp
  src/cvector.cpp
  src/dot.cpp
  src/dotio.cpp
  src/except.cpp
  src/idot.cpp
  src/imath.cpp
  src/imatrix.cpp
  src/interval.cpp
  src/intmatrix.cpp
  src/intvector.cpp
  src/ioflags.cpp
  src/ivector.cpp
  src/l_cimath.cpp
  src/l_cinterval.cpp
  src/l_cmath.cpp
  src/l_complex.cpp
  src/l_imath.cpp
  src/l_imatrix.cpp
  src/l_interval.cpp
  src/l_ivector.cpp
  src/l_real.cpp
  src/l_rmath.cpp
  src/l_rmatrix.cpp
  src/l_rvector.cpp
  src/lx_cinterval.cpp
  src/lx_civector.cpp
  src/lx_complex.cpp
  src/lx_interval.cpp
  src/lx_ivector.cpp
  src/lx_real.cpp
  src/matrix.cpp
  src/real.cpp
  src/realio.cpp
  src/rmath.cpp
  src/rmatrix.cpp
  src/rvector.cpp
  src/scimatrix.cpp
  src/scivector.cpp
  src/scmatrix.cpp
  src/scvector.cpp
  src/simatrix.cpp
  src/sivector.cpp
  src/srmatrix.cpp
  src/srvector.cpp
)

=== src/Makefile ===
#========== you shouldn't modify anything below ===========================
export FILIB = fi_lib
export RTS = rts

ifeq ($(ASM),1)
	RARI=asm/r_ari.o
	MARI=ari
endif

include rts/rts.obj
include fi_lib/fi_lib.obj
include ../CToolbox/ctoolbox.obj
include cxsc.obj

.SUFFIXES:
.SUFFIXES: .cpp .hpp .o


default:
	@echo
	@echo "C-XSC - C++ library for eXtended Scientific Computation"
	@echo "Please use the Makefile in the upper directory!"
	@echo

all: .depend libs symlinks

#test.o: test.cpp test.hpp
#	$(CXX) $(CXXFLAGS) -Wall -Winline -c test.cpp
#	$(CXX) $(CXXFLAGS) -c test.cpp

# no optimization here
test: test.o libcxsc.a
#	$(CXX) $(CXXFLAGS) -O0 -Wall -Winline test.o libcxsc.a -o test
	$(CXX) $(CXXFLAGS) test.o libcxsc.a -o test

libs: cxsc libcxsc.a libcxsc.so

ari: 
	@+cd asm; $(MAKE) ari

cxsc: 
	@+cd rts; $(MAKE) lib
	@+cd fi_lib; $(MAKE) lib
	@+cd ../CToolbox; $(MAKE) lib

libcxsc: libcxsc.a libcxsc.so

libcxsc.so: $(MARI) $(OBJ)
ifeq ($(COMPILER),ibm)
	$(CXX) $(CXXFLAGS) $(CXXOPTIMIZE) $(SHARED) $(LINKEROPTDYNLIBNAME) -o libcxsc.so.$(VER) $(OBJ_RTS) $(OBJ_CTOOLBOX) $(OBJ) $(OBJECTS) $(RARI)
else
	$(CXX) $(CXXOPTIMIZE) $(SHARED) $(LINKEROPTDYNLIBNAME) -o libcxsc.so.$(VER) $(OBJ_RTS) $(OBJ_CTOOLBOX) $(OBJ) $(OBJECTS) $(RARI)
endif

libcxsc_inl.a: $(OBJ_INL)
ifeq ($(COMPILER),sun_forte)
	$(CXX) -xar -o libcxsc_inl.a $(OBJ_INL)
else
	$(RANLIB) libcxsc_inl.a
endif

libcxsc.a: $(MARI) $(OBJ)
ifeq ($(COMPILER),sun_forte)
	$(CXX) -xar -o libcxsc.a $(OBJ_RTS) $(OBJ_CTOOLBOX) $(OBJ) $(OBJECTS) $(RARI)
else
#ifeq ($(UNAME_SYSTEM),Darwin_i386)
ifneq (,$(findstring Darwin, $(UNAME_SYSTEM))) 
	libtool -static -o libcxsc.a $(OBJ_RTS) $(OBJ_CTOOLBOX) $(OBJ) $(OBJECTS) $(RARI)
else
	$(AR) r libcxsc.a $(OBJ_RTS) $(OBJ_CTOOLBOX) $(OBJ) $(OBJECTS) $(RARI)
	$(RANLIB) libcxsc.a
endif	
endif

%.o: %.cpp
	$(CXX) -DNO_CXSC_STATUS $(CXXFLAGS) $(FPIC) $(CXXOPTIMIZE) -c $<

%.hpp: %.hpp,v
	co $@

# we had to restrict the filenames to 8+3; some say it's because
# there exists an operating system which depends on it...
symlinks:
	$(RM) cinterval.hpp intmatrix.hpp intvector.hpp l_interval.hpp
	$(RM) l_imatrix.hpp l_ivector.hpp l_rmatrix.hpp l_rvector.hpp
	$(RM) l_complex.hpp
	-$(LN) cinterva.hpp cinterval.hpp; $(LN) intmatri.hpp intmatrix.hpp
	-$(LN) intvecto.hpp intvector.hpp; $(LN) l_interv.hpp l_interval.hpp
	-$(LN) limatrix.hpp l_imatrix.hpp; $(LN) livector.hpp l_ivector.hpp
	-$(LN) lrmatrix.hpp l_rmatrix.hpp; $(LN) lrvector.hpp l_rvector.hpp
	-$(LN) l_comple.hpp l_complex.hpp;

%.h: %.h,v
	co $@

install: install_both

install_both: install_dyn install_static

install_header:
# install header files
	$(INSTDIR) $(PREFIX)/include
	$(INSTALL) ./*.hpp ./*.inl ./*.h $(PREFIX)/include
	$(INSTALL) rts/*.h $(PREFIX)/include
	$(INSTALL) fi_lib/*.hpp $(PREFIX)/include
	$(INSTALL) asm/r_ari.h $(PREFIX)/include
	$(INSTALL) ../cxscconf.h $(PREFIX)/include
	@+cd ../CToolbox; $(MAKE) install_header
	$(INSTDIR) $(PREFIX)/lib

install_dyn: install_header
# install libs
	$(RM) $(PREFIX)/liblibcxsc*
	$(INSTALL) ./libcxsc.so.$(VER) $(PREFIX)/lib
	$(LN) libcxsc.so.$(VER) libcxsc.so.2
	$(LN) libcxsc.so.2 libcxsc.so
	-cd $(PREFIX)/lib; $(LN) libcxsc.so.$(VER) libcxsc.so.2
	-cd $(PREFIX)/lib; $(LN) libcxsc.so.2 libcxsc.so

install_static: install_header
# install libs
	$(INSTALL) ./libcxsc.a $(PREFIX)/lib
#ifneq ($(COMPILER),sun_forte)
#	$(STRIP) $(PREFIX)/lib/libcxsc.a
#endif	

uninstall:
# remove libs
	$(RM) $(PREFIX)/lib/libcxsc.a $(PREFIX)/lib/libcxsc_inl.a
# remove header files
	@for i in $(UNINSTALL_OBJ); do \
	    $(RM) $(PREFIX)/include/$$i ; \
	done

clean: distclean
	@+cd rts; $(MAKE) clean
	@+cd fi_lib; $(MAKE) clean
	@+cd ../CToolbox; $(MAKE) clean
ifeq ($(COMPILER),sun_forte)
	@+cd SunWS_cache; CCadmin -clean
endif
	-$(RM) *.o libcxsc*

distclean: 
	cd .. ; \
	find . \( -name '*.orig' -o -name '*.so' -o -name '*.a' -o -name '*~' -o -name '*.bak' \
		   -o -name '#*#' -o -name '.*.orig' -o -name '*.[oa]' \
		   -o -size 0 -o -name '.*.flags' -o -name '.#*' \) \
		   -type f -print | xargs rm -f

# -M sollte jeder c++-Compiler machen, -MM spart sich die stdlib-includes
.depend depend:
ifeq ($(COMPILER),sun_forte)
	umask 002; $(CXX) $(CXXFLAGS) $(DEPENDOPT) $(SRCS) $(VSRCS) > ".depend"
else
	umask 002; $(CXX) $(DEPENDOPT) $(CXXFLAGS) $(SRCS) $(VSRCS) > ".depend"
endif

.PHONY: symlinks clean depend all libs install uninstall

include .depend

#
#	create spec-file for rpm 
#
spec:
	. ../scripts/mkspec >../cxsc.spec

#
#	Build a tar ball, generate an rpm from it and pack the result
#
rpm:	clean spec
	set -e ; \
	cd $(TOPDIR)/.. ; \
	ln -sf $(TOPDIR) $(CXSCPATH) ; \
	tar -cvz --exclude CVS -f $(CXSCPATH).tar.gz $(CXSCPATH)/. ; \
	$(RM) $(CXSCPATH) ; \
	cd $(TOPDIR) ; \
	rpm -ta $(TOPDIR)/../$(CXSCPATH).tar.gz ; \
	mv /usr/src/packages/RPMS/i386/$(CXSCPATH)-$(RELEASE).i386.rpm $(TOPDIR)/$(CXSCPATH)-$(RELEASE).rpm ; \
	$(RM) $(TOPDIR)/../$(CXSCPATH).tar.gz ; \
	$(RM) $(TOPDIR)/cxsc.spec ; \
	$(RM) $(CXSCPATH) ; \
	$(RM) /usr/src/packages/SRPMS/$(CXSCPATH)-$(RELEASE).src.rpm ; \
	$(RMDIR) /usr/src/packages/BUILD/$(CXSCPATH) ; \
	$(RMDIR) /usr/src/packages/SOURES/$(CXSCPATH) ; \
	$(RM) /usr/src/packages/SPECS/cxsc.spec ; \

#
#	Build and generate a sunpkg 
#
sunpkg: clean all
	$(INSTDIR) $(TMPDIR)/lib ; \
	$(INSTALL) ./libcxsc.a $(TMPDIR)/lib/ ; \
	$(INSTALL) ./libcxsc_inl.a $(TMPDIR)/lib/ ; \
	$(INSTDIR) $(TMPDIR)/include ; \
	$(INSTALL) ./*.hpp ./*.inl ./*.h $(TMPDIR)/include ; \
	$(INSTALL) rts/*.h $(TMPDIR)/include ; \
	$(INSTALL) fi_lib/fi_lib.hpp $(TMPDIR)/include ; \
	$(INSTALL) ../cxscconf.h $(TMPDIR)/include ; \
	cd $(TMPDIR) ; \
	find . -print | pkgproto >out ; \
	awk -f ../scripts/prototype.awk out >prototype ; \
	. ../scripts/mkpkginfo >$(TMPDIR)/pkginfo ; \
	pkgmk -r `pwd` ; \
	cd $(BUILDTMP) ; \
	pkgtrans -s `pwd` /tmp/$(CXSCPATH)-$(RELEASE).$(ARCH).pkg $(PKGNAME) ; \
	$(RMDIR) $(TMPDIR) ; \
	$(RMDIR) $(BUILDTMP)/$(PKGNAME) ; \
	gzip /tmp/$(CXSCPATH)-$(RELEASE).$(ARCH).pkg ; \

#
#	generate a backup tar archive
#
backup:	clean
	set -e ; \
	cd $(TOPDIR)/.. ; \
	ln -sf $(TOPDIR) $(CXSCPATH) ; \
	tar -cvf $(CXSCPATH)-$(RELEASE).tar $(CXSCPATH)/. ; \
	gzip $(CXSCPATH)-$(RELEASE).tar ; \
	rm $(CXSCPATH) ; \

=== CToolbox/Modules/CMakeLists.txt ===
set(ctoolbox_src
  CToolbox/Modules/ci_util.cpp
  CToolbox/Modules/cipoly.cpp
  CToolbox/Modules/cpoly.cpp
  CToolbox/Modules/cpzero.cpp
  CToolbox/Modules/ddf_ari.cpp
  CToolbox/Modules/expreval.cpp
  CToolbox/Modules/fastlss.cpp
  CToolbox/Modules/gop.cpp
  CToolbox/Modules/gop1.cpp
  CToolbox/Modules/grad_ari.cpp
  CToolbox/Modules/hess_ari.cpp
  CToolbox/Modules/linsys.cpp
  CToolbox/Modules/lop.cpp
  CToolbox/Modules/lop_ari.cpp
  CToolbox/Modules/lst1_ari.cpp
  CToolbox/Modules/lst_ari.cpp
  CToolbox/Modules/matinv.cpp
  CToolbox/Modules/nlfzero.cpp
  CToolbox/Modules/nlinsys.cpp
  CToolbox/Modules/rev_simp.cpp
  CToolbox/Modules/rpeval.cpp
  CToolbox/Modules/rpoly.cpp
  CToolbox/Modules/set_ari.cpp
  CToolbox/Modules/xi_ari.cpp
)

=== CToolbox/Programs/CMakeLists.txt ===

include_directories(${CMAKE_SOURCE_DIR}
        ${CMAKE_SOURCE_DIR}/CToolbox/Modules
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_SOURCE_DIR}/src/fi_lib
        ${CMAKE_SOURCE_DIR}/src/rts)

link_directories(
   ${CMAKE_INSTALL_PREFIX}/lib
)

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
# SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

add_executable(hess_ex hess_ex.cpp)
target_link_libraries(hess_ex cxsc)

add_executable(cpz_ex cpz_ex.cpp)
target_link_libraries(cpz_ex cxsc)

add_executable(ddf_ex ddf_ex.cpp)
target_link_libraries(ddf_ex cxsc)

add_executable(fastlss_ex fastlss_ex.cpp)
target_link_libraries(fastlss_ex cxsc)

add_executable(gop1_ex gop1_ex.cpp)
target_link_libraries(gop1_ex cxsc)

add_executable(gop_ex gop_ex.cpp)
target_link_libraries(gop_ex cxsc)

add_executable(jac_ex jac_ex.cpp)
target_link_libraries(jac_ex cxsc)

add_executable(lop_ex lop_ex.cpp)
target_link_libraries(lop_ex cxsc)

add_executable(lss_ex lss_ex.cpp)
target_link_libraries(lss_ex cxsc)

add_executable(nlfz_ex nlfz_ex.cpp)
target_link_libraries(nlfz_ex cxsc)

add_executable(nlss_ex nlss_ex.cpp)
target_link_libraries(nlss_ex cxsc)

add_executable(rpe_ex rpe_ex.cpp)
target_link_libraries(rpe_ex cxsc)

add_executable(xev_ex1 xev_ex1.cpp)
target_link_libraries(xev_ex1 cxsc)

add_executable(xev_ex2 xev_ex2.cpp)
target_link_libraries(xev_ex2 cxsc)

add_executable(xev_ex3 xev_ex3.cpp)
target_link_libraries(xev_ex3 cxsc)

#added 2012-12-11
file(GLOB ctoolbox_programms_src "*.cpp")
install(FILES ${ctoolbox_programms_src} DESTINATION examples)
install(TARGETS hess_ex cpz_ex ddf_ex fastlss_ex gop1_ex gop_ex jac_ex lop_ex lss_ex nlfz_ex nlss_ex rpe_ex xev_ex1 xev_ex2 xev_ex3 RUNTIME DESTINATION examples)

=== CToolbox/test/CMakeLists.txt ===

include_directories(${CMAKE_SOURCE_DIR}
        ${CMAKE_SOURCE_DIR}/CToolbox/Modules
		${CMAKE_SOURCE_DIR}/CToolbox/test
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_SOURCE_DIR}/src/fi_lib
        ${CMAKE_SOURCE_DIR}/src/rts)

link_directories(
   ${CMAKE_INSTALL_PREFIX}/lib
)

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
# SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

add_executable(tester tester.cpp)
target_link_libraries(tester cxsc)

add_executable(sumup sumup.cpp)
target_link_libraries(sumup cxsc)

=== src/asm/Makefile ===
##
##  CXSC is a C++ library for eXtended Scientific Computing
##
##  Copyright (C) 1990-2000 Institut fuer Angewandte Mathematik,
##                          Universitaet Karlsruhe, Germany
##            (C) 2000-2005 Wiss. Rechnen/Softwaretechnologie
##                          Universitaet Wuppertal, Germany
##
##  This library is free software; you can redistribute it and/or
##  modify it under the terms of the GNU Library General Public
##  License as published by the Free Software Foundation; either
##  version 2 of the License, or (at your option) any later version.
##
##  This library is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  Library General Public License for more details.
##
##  You should have received a copy of the GNU Library General Public
##  License along with this library; if not, write to the Free
##  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##

ARCH?=$(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc/)

ifeq "$(ARCH)" "x86_64"
	ifeq "$(BIT)" "32"
		ARI=r_ari_x86
	else
		ARI=r_ari_x86_64
	endif
endif

ifeq "$(ARCH)" "i386"
	ARI=r_ari_x86
endif

ifeq ($(UNAME_SYSTEM),Darwin_i386)
	ifeq "$(BIT)" "32"
		ARI=r_ari_x86_mac
	else
		ARI=r_ari_x86_64_mac
	endif
endif

.SUFFIXES: .s .o

ari: $(ARI)
	@mv $(ARI).o r_ari.o	

$(ARI): $(ARI).s
	$(CC) -c $(CCFLAGS) $(FPIC) $(CCOPTIMIZE) $<

clean:
	rm -f *.o

=== src/fi_lib/CMakeLists.txt ===
set(fi_lib_src
  src/fi_lib/fi_lib_funcs.cpp
  src/fi_lib/j_acos.cpp
  src/fi_lib/j_acot.cpp
  src/fi_lib/j_acsh.cpp
  src/fi_lib/j_acth.cpp
  src/fi_lib/j_asin.cpp
  src/fi_lib/j_asnh.cpp
  src/fi_lib/j_atan.cpp
  src/fi_lib/j_atnh.cpp
  src/fi_lib/j_cos.cpp
  src/fi_lib/j_cosh.cpp
  src/fi_lib/j_cot.cpp
  src/fi_lib/j_coth.cpp
  src/fi_lib/j_erf.cpp
  src/fi_lib/j_ex10.cpp
  src/fi_lib/j_exp.cpp
  src/fi_lib/j_exp2.cpp
  src/fi_lib/j_expm.cpp
  src/fi_lib/j_lg10.cpp
  src/fi_lib/j_lg1p.cpp
  src/fi_lib/j_log.cpp
  src/fi_lib/j_log2.cpp
  src/fi_lib/j_sin.cpp
  src/fi_lib/j_sinh.cpp
  src/fi_lib/j_sqr.cpp
  src/fi_lib/j_sqrt.cpp
  src/fi_lib/j_tan.cpp
  src/fi_lib/j_tanh.cpp
  src/fi_lib/q_acos.cpp
  src/fi_lib/q_acot.cpp
  src/fi_lib/q_acsh.cpp
  src/fi_lib/q_acth.cpp
  src/fi_lib/q_ari.cpp
  src/fi_lib/q_asin.cpp
  src/fi_lib/q_asnh.cpp
  src/fi_lib/q_atan.cpp
  src/fi_lib/q_atn1.cpp
  src/fi_lib/q_atnh.cpp
  src/fi_lib/q_comp.cpp
  src/fi_lib/q_cos.cpp
  src/fi_lib/q_cos1.cpp
  src/fi_lib/q_cosh.cpp
  src/fi_lib/q_cot.cpp
  src/fi_lib/q_coth.cpp
  src/fi_lib/q_cth1.cpp
  src/fi_lib/q_ep1.cpp
  src/fi_lib/q_epm1.cpp
  src/fi_lib/q_erf.cpp
  src/fi_lib/q_errm.cpp
  src/fi_lib/q_ex10.cpp
  src/fi_lib/q_exp.cpp
  src/fi_lib/q_exp2.cpp
  src/fi_lib/q_expm.cpp
  src/fi_lib/q_glbl.cpp
  src/fi_lib/q_lg10.cpp
  src/fi_lib/q_log.cpp
  src/fi_lib/q_log1.cpp
  src/fi_lib/q_log2.cpp
  src/fi_lib/q_pred.cpp
  src/fi_lib/q_prnt.cpp
  src/fi_lib/q_rtrg.cpp
  src/fi_lib/q_scan.cpp
  src/fi_lib/q_sin.cpp
  src/fi_lib/q_sin1.cpp
  src/fi_lib/q_sinh.cpp
  src/fi_lib/q_sqr.cpp
  src/fi_lib/q_sqrt.cpp
  src/fi_lib/q_succ.cpp
  src/fi_lib/q_tan.cpp
  src/fi_lib/q_tanh.cpp
)

=== src/fi_lib/Makefile ===
#========== you shouldn't modify anything below ===========================

# /*********************************************************************/
# /*       fi_lib  --- A fast interval library (Makefile)              */
# /*********************************************************************/

export FILIB = .
include fi_lib.obj

.SUFFIXES:
.SUFFIXES: .cpp .hpp .o

# Default and clean up rules
#---------------------------
default:
	@echo
	@echo "C-XSC - C++ library for eXtended Scientific Computation"
	@echo "Please use the Makefile in the upper directory!"
	@echo
	
# Delete all *.o *.a and executable files
#----------------------------------------
clean:	
	@rm -f *.a *.o


lib: $(OBJECTS)

%.o: %.cpp fi_lib.hpp
	$(CXX) -c $(CXXFLAGS) -I../rts -I../asm -I../.. $(FPIC) $(CXXOPTIMIZE) $<


all: lib 

.PHONY: default lib all

=== src/rts/CMakeLists.txt ===
set(rts_src
  src/rts/a_abs_.c
  src/rts/a_add_.c
  src/rts/a_band.c
  src/rts/a_bclr.c
  src/rts/a_beqv.c
  src/rts/a_bmsb.c
  src/rts/a_bnot.c
  src/rts/a_bons.c
  src/rts/a_bor_.c
  src/rts/a_brtt.c
  src/rts/a_bset.c
  src/rts/a_bshf.c
  src/rts/a_btst.c
  src/rts/a_bxor.c
  src/rts/a_clck.c
  src/rts/a_div_.c
  src/rts/a_exit.c
  src/rts/a_free.c
  src/rts/a_gets.c
  src/rts/a_ival.c
  src/rts/a_ixch.c
  src/rts/a_lloc.c
  src/rts/a_mod_.c
  src/rts/a_mul_.c
  src/rts/a_nilc.c
  src/rts/a_popt.c
  src/rts/a_pptr.c
  src/rts/a_sets.c
  src/rts/a_sqr_.c
  src/rts/a_sub_.c
  src/rts/a_sval.c
  src/rts/a_syst.c
  src/rts/a_tick.c
  src/rts/a_time.c
  src/rts/a_umin.c
  src/rts/b_accu.c
  src/rts/b_acsh.c
  src/rts/b_acth.c
  src/rts/b_addc.c
  src/rts/b_addm.c
  src/rts/b_addu.c
  src/rts/b_adj.c
  src/rts/b_adpp.c
  src/rts/b_asgn.c
  src/rts/b_asin.c
  src/rts/b_asiv.c
  src/rts/b_asnh.c
  src/rts/b_atan.c
  src/rts/b_atav.c
  src/rts/b_atnh.c
  src/rts/b_baad.c
  src/rts/b_bacm.c
  src/rts/b_badd.c
  src/rts/b_badj.c
  src/rts/b_ball.c
  src/rts/b_banx.c
  src/rts/b_basu.c
  src/rts/b_bcad.c
  src/rts/b_bcat.c
  src/rts/b_bcdi.c
  src/rts/b_bcid.c
  src/rts/b_bclr.c
  src/rts/b_bcmp.c
  src/rts/b_bcpy.c
  src/rts/b_bcsu.c
  src/rts/b_bdiv.c
  src/rts/b_bdvn.c
  src/rts/b_bini.c
  src/rts/b_biv2.c
  src/rts/b_biv_.c
  src/rts/b_bivp.c
  src/rts/b_bldx.c
  src/rts/b_blgx.c
  src/rts/b_bmat.c
  src/rts/b_bmcm.c
  src/rts/b_bmdv.c
  src/rts/b_bms1.c
  src/rts/b_bms2.c
  src/rts/b_bmsh.c
  src/rts/b_bmsp.c
  src/rts/b_bmts.c
  src/rts/b_bmul.c
  src/rts/b_bmun.c
  src/rts/b_bnxt.c
  src/rts/b_bpnt.c
  src/rts/b_brnd.c
  src/rts/b_bshf.c
  src/rts/b_bsub.c
  src/rts/b_busp.c
  src/rts/b_chck.c
  src/rts/b_cmcp.c
  src/rts/b_comp.c
  src/rts/b_conf.c
  src/rts/b_coni.c
  src/rts/b_cos_.c
  src/rts/b_cosh.c
  src/rts/b_cot_.c
  src/rts/b_coth.c
  src/rts/b_cscn.c
  src/rts/b_deko.c
  src/rts/b_dtol.c
  src/rts/b_errr.c
  src/rts/b_exp_.c
  src/rts/b_expe.c
  src/rts/b_form.c
  src/rts/b_geta.c
  src/rts/b_gini.c
  src/rts/b_glbl.c
  src/rts/b_heap.c
  src/rts/b_ifrm.c
  src/rts/b_inv1.c
  src/rts/b_inv2.c
  src/rts/b_irnd.c
  src/rts/b_kapp.c
  src/rts/b_lnva.c
  src/rts/b_lnve.c
  src/rts/b_log_.c
  src/rts/b_loga.c
  src/rts/b_ltod.c
  src/rts/b_ltor.c
  src/rts/b_mdiv.c
  src/rts/b_muad.c
  src/rts/b_op88.c
  src/rts/b_out.c
  src/rts/b_outf.c
  src/rts/b_outi.c
  src/rts/b_outm.c
  src/rts/b_pi__.c
  src/rts/b_pign.c
  src/rts/b_pool.c
  src/rts/b_popt.c
  src/rts/b_pow_.c
  src/rts/b_prod.c
  src/rts/b_rnd.c
  src/rts/b_rndd.c
  src/rts/b_rndn.c
  src/rts/b_rndu.c
  src/rts/b_rtol.c
  src/rts/b_scan.c
  src/rts/b_shl1.c
  src/rts/b_shlu.c
  src/rts/b_shr1.c
  src/rts/b_shru.c
  src/rts/b_sico.c
  src/rts/b_sin_.c
  src/rts/b_sinh.c
  src/rts/b_snhv.c
  src/rts/b_sqrt.c
  src/rts/b_sqrv.c
  src/rts/b_subc.c
  src/rts/b_subm.c
  src/rts/b_subu.c
  src/rts/b_tadd.c
  src/rts/b_tadj.c
  src/rts/b_tan_.c
  src/rts/b_tanh.c
  src/rts/b_tcom.c
  src/rts/b_tdek.c
  src/rts/b_tdiv.c
  src/rts/b_test.c
  src/rts/b_text.c
  src/rts/b_tmdv.c
  src/rts/b_tmpf.c
  src/rts/b_tmul.c
  src/rts/b_trnd.c
  src/rts/b_tsub.c
  src/rts/c_cadd.c
  src/rts/c_csub.c
  src/rts/c_dadd.c
  src/rts/c_dsta.c
  src/rts/c_dsub.c
  src/rts/c_padd.c
  src/rts/c_psub.c
  src/rts/c_rcad.c
  src/rts/c_rcsb.c
  src/rts/c_scps.c
  src/rts/c_scpy.c
  src/rts/c_stad.c
  src/rts/c_stan.c
  src/rts/c_stau.c
  src/rts/d_ass.c
  src/rts/d_assc.c
  src/rts/d_assi.c
  src/rts/d_assz.c
  src/rts/d_chs.c
  src/rts/d_clr.c
  src/rts/d_dadd.c
  src/rts/d_dsub.c
  src/rts/d_eq.c
  src/rts/d_free.c
  src/rts/d_ge.c
  src/rts/d_gt.c
  src/rts/d_init.c
  src/rts/d_le.c
  src/rts/d_lt.c
  src/rts/d_ne.c
  src/rts/d_padd.c
  src/rts/d_psub.c
  src/rts/d_radd.c
  src/rts/d_rsub.c
  src/rts/d_sign.c
  src/rts/d_stad.c
  src/rts/d_stan.c
  src/rts/d_stau.c
  src/rts/d_temp.c
  src/rts/d_utmp.c
  src/rts/d_vlcp.c
  src/rts/e_actn.c
  src/rts/e_back.c
  src/rts/e_bmsg.c
  src/rts/e_data.c
  src/rts/e_ieee.c
  src/rts/e_ienv.c
  src/rts/e_popp.c
  src/rts/e_push.c
  src/rts/e_tmrt.c
  src/rts/e_tmsg.c
  src/rts/e_tprt.c
  src/rts/e_trap.c
  src/rts/e_xall.c
  src/rts/e_xarg.c
  src/rts/e_xdbz.c
  src/rts/e_xine.c
  src/rts/e_xiob.c
  src/rts/e_xiop.c
  src/rts/e_xios.c
  src/rts/e_xnor.c
  src/rts/e_xofl.c
  src/rts/e_xset.c
  src/rts/e_xufl.c
  src/rts/f_args.c
  src/rts/f_assg.c
  src/rts/f_back.c
  src/rts/f_bhex.c
  src/rts/f_eofp.c
  src/rts/f_exst.c
  src/rts/f_flsh.c
  src/rts/f_free.c
  src/rts/f_get_.c
  src/rts/f_getc.c
  src/rts/f_op88.c
  src/rts/f_popt.c
  src/rts/f_put_.c
  src/rts/f_putc.c
  src/rts/f_quer.c
  src/rts/f_rdf1.c
  src/rts/f_rdh1.c
  src/rts/f_rdi1.c
  src/rts/f_rdl1.c
  src/rts/f_rdl2.c
  src/rts/f_rdln.c
  src/rts/f_rdr1.c
  src/rts/f_rdr2.c
  src/rts/f_rds1.c
  src/rts/f_rdv1.c
  src/rts/f_read.c
  src/rts/f_rhex.c
  src/rts/f_rint.c
  src/rts/f_rset.c
  src/rts/f_rstn.c
  src/rts/f_rwri.c
  src/rts/f_rwrn.c
  src/rts/f_sexs.c
  src/rts/f_srse.c
  src/rts/f_srwi.c
  src/rts/f_whex.c
  src/rts/f_wint.c
  src/rts/f_wrb1.c
  src/rts/f_wrb2.c
  src/rts/f_wrc1.c
  src/rts/f_wrc2.c
  src/rts/f_wrd1.c
  src/rts/f_wrf1.c
  src/rts/f_wrf2.c
  src/rts/f_wrf3.c
  src/rts/f_wrf4.c
  src/rts/f_wrh1.c
  src/rts/f_wrh2.c
  src/rts/f_wri1.c
  src/rts/f_wri2.c
  src/rts/f_wrid.c
  src/rts/f_writ.c
  src/rts/f_wrl1.c
  src/rts/f_wrl2.c
  src/rts/f_wrl3.c
  src/rts/f_wrl4.c
  src/rts/f_wrln.c
  src/rts/f_wrr1.c
  src/rts/f_wrr2.c
  src/rts/f_wrr3.c
  src/rts/f_wrr4.c
  src/rts/f_wrs1.c
  src/rts/f_wrs2.c
  src/rts/i_acos.c
  src/rts/i_acot.c
  src/rts/i_acsh.c
  src/rts/i_acth.c
  src/rts/i_asin.c
  src/rts/i_asnh.c
  src/rts/i_atan.c
  src/rts/i_atnh.c
  src/rts/i_cns2.c
  src/rts/i_cnst.c
  src/rts/i_cos.c
  src/rts/i_cosh.c
  src/rts/i_cot.c
  src/rts/i_coth.c
  src/rts/i_dadd.c
  src/rts/i_dsta.c
  src/rts/i_dsub.c
  src/rts/i_ep10.c
  src/rts/i_exp.c
  src/rts/i_exp2.c
  src/rts/i_iadd.c
  src/rts/i_ista.c
  src/rts/i_isub.c
  src/rts/i_lg10.c
  src/rts/i_log.c
  src/rts/i_log2.c
  src/rts/i_loga.c
  src/rts/i_padd.c
  src/rts/i_pow.c
  src/rts/i_psub.c
  src/rts/i_read.c
  src/rts/i_riad.c
  src/rts/i_risb.c
  src/rts/i_scps.c
  src/rts/i_scpy.c
  src/rts/i_sin.c
  src/rts/i_sinh.c
  src/rts/i_sqrt.c
  src/rts/i_tan.c
  src/rts/i_tanh.c
  src/rts/l_abs.c
  src/rts/l_acos.c
  src/rts/l_acot.c
  src/rts/l_acsh.c
  src/rts/l_acth.c
  src/rts/l_addc.c
  src/rts/l_addd.c
  src/rts/l_addu.c
  src/rts/l_asin.c
  src/rts/l_asnh.c
  src/rts/l_ass.c
  src/rts/l_atan.c
  src/rts/l_atn2.c
  src/rts/l_atnh.c
  src/rts/l_comp.c
  src/rts/l_conv.c
  src/rts/l_cos.c
  src/rts/l_cosh.c
  src/rts/l_cot.c
  src/rts/l_coth.c
  src/rts/l_divc.c
  src/rts/l_divd.c
  src/rts/l_divu.c
  src/rts/l_eq.c
  src/rts/l_exct.c
  src/rts/l_exp.c
  src/rts/l_expo.c
  src/rts/l_flot.c
  src/rts/l_free.c
  src/rts/l_ge.c
  src/rts/l_gt.c
  src/rts/l_init.c
  src/rts/l_le.c
  src/rts/l_log.c
  src/rts/l_loga.c
  src/rts/l_lt.c
  src/rts/l_mant.c
  src/rts/l_mlen.c
  src/rts/l_mulc.c
  src/rts/l_muld.c
  src/rts/l_mulu.c
  src/rts/l_ne.c
  src/rts/l_pow.c
  src/rts/l_prec.c
  src/rts/l_pred.c
  src/rts/l_read.c
  src/rts/l_rond.c
  src/rts/l_rprc.c
  src/rts/l_rval.c
  src/rts/l_sign.c
  src/rts/l_sin.c
  src/rts/l_sinh.c
  src/rts/l_sqrt.c
  src/rts/l_subc.c
  src/rts/l_subd.c
  src/rts/l_subu.c
  src/rts/l_succ.c
  src/rts/l_tan.c
  src/rts/l_tanh.c
  src/rts/l_temp.c
  src/rts/l_trun.c
  src/rts/l_ttmp.c
  src/rts/l_umin.c
  src/rts/l_utmp.c
  src/rts/l_vlcp.c
  src/rts/l_whex.c
  src/rts/l_writ.c
  src/rts/o_user.c
  src/rts/p_init.c
  src/rts/r_abs.c
  src/rts/r_acos.c
  src/rts/r_acot.c
  src/rts/r_acsh.c
  src/rts/r_acth.c
  src/rts/r_addd.c
  src/rts/r_addn.c
  src/rts/r_addu.c
  src/rts/r_asin.c
  src/rts/r_asnh.c
  src/rts/r_ass.c
  src/rts/r_atan.c
  src/rts/r_atn2.c
  src/rts/r_atnh.c
  src/rts/r_aval.c
  src/rts/r_ceil.c
  src/rts/r_clss.c
  src/rts/r_cnsd.c
  src/rts/r_cnst.c
  src/rts/r_cnsu.c
  src/rts/r_comp.c
  src/rts/r_conv.c
  src/rts/r_cos.c
  src/rts/r_cosh.c
  src/rts/r_cot.c
  src/rts/r_coth.c
  src/rts/r_divd.c
  src/rts/r_divn.c
  src/rts/r_divu.c
  src/rts/r_ep10.c
  src/rts/r_eq.c
  src/rts/r_exp.c
  src/rts/r_exp2.c
  src/rts/r_expo.c
  src/rts/r_fini.c
  src/rts/r_flor.c
  src/rts/r_flot.c
  src/rts/r_frac.c
  src/rts/r_ftrp.c
  src/rts/r_ge.c
  src/rts/r_gt.c
  src/rts/r_le.c
  src/rts/r_lg10.c
  src/rts/r_log.c
  src/rts/r_log2.c
  src/rts/r_loga.c
  src/rts/r_lt.c
  src/rts/r_mant.c
  src/rts/r_muld.c
  src/rts/r_muln.c
  src/rts/r_mulu.c
  src/rts/r_ne.c
  src/rts/r_outp.c
  src/rts/r_pcmp.c
  src/rts/r_pow.c
  src/rts/r_pred.c
  src/rts/r_rdcr.c
  src/rts/r_read.c
  src/rts/r_rond.c
  src/rts/r_rval.c
  src/rts/r_scps.c
  src/rts/r_scpy.c
  src/rts/r_sign.c
  src/rts/r_sin.c
  src/rts/r_sinh.c
  src/rts/r_sqr_.c
  src/rts/r_sqrt.c
  src/rts/r_subd.c
  src/rts/r_subn.c
  src/rts/r_subu.c
  src/rts/r_succ.c
  src/rts/r_sval.c
  src/rts/r_tan.c
  src/rts/r_tanh.c
  src/rts/r_trun.c
  src/rts/r_umin.c
  src/rts/r_valu.c
  src/rts/r_writ.c
  src/rts/s_aacc.c
  src/rts/s_aaeq.c
  src/rts/s_aage.c
  src/rts/s_aagt.c
  src/rts/s_aain.c
  src/rts/s_aale.c
  src/rts/s_aalt.c
  src/rts/s_aane.c
  src/rts/s_accc.c
  src/rts/s_aceq.c
  src/rts/s_acge.c
  src/rts/s_acgt.c
  src/rts/s_acle.c
  src/rts/s_aclt.c
  src/rts/s_acne.c
  src/rts/s_add.c
  src/rts/s_aimg.c
  src/rts/s_alen.c
  src/rts/s_asgn.c
  src/rts/s_cacc.c
  src/rts/s_caeq.c
  src/rts/s_cage.c
  src/rts/s_cagt.c
  src/rts/s_cain.c
  src/rts/s_cale.c
  src/rts/s_calt.c
  src/rts/s_cane.c
  src/rts/s_char.c
  src/rts/s_conc.c
  src/rts/s_cons.c
  src/rts/s_cpos.c
  src/rts/s_cseq.c
  src/rts/s_csge.c
  src/rts/s_csgt.c
  src/rts/s_csle.c
  src/rts/s_cslt.c
  src/rts/s_csne.c
  src/rts/s_date.c
  src/rts/s_eteq.c
  src/rts/s_etge.c
  src/rts/s_etgt.c
  src/rts/s_etin.c
  src/rts/s_etle.c
  src/rts/s_etlt.c
  src/rts/s_etne.c
  src/rts/s_free.c
  src/rts/s_genv.c
  src/rts/s_init.c
  src/rts/s_ins1.c
  src/rts/s_ins2.c
  src/rts/s_int_.c
  src/rts/s_inxc.c
  src/rts/s_ixch.c
  src/rts/s_ixcn.c
  src/rts/s_len_.c
  src/rts/s_mul.c
  src/rts/s_real.c
  src/rts/s_rhex.c
  src/rts/s_sceq.c
  src/rts/s_scge.c
  src/rts/s_scgt.c
  src/rts/s_scle.c
  src/rts/s_sclt.c
  src/rts/s_scne.c
  src/rts/s_slen.c
  src/rts/s_spos.c
  src/rts/s_sseq.c
  src/rts/s_ssge.c
  src/rts/s_ssgt.c
  src/rts/s_ssle.c
  src/rts/s_sslt.c
  src/rts/s_ssne.c
  src/rts/s_stat.c
  src/rts/s_sub.c
  src/rts/s_suba.c
  src/rts/s_subs.c
  src/rts/s_temp.c
  src/rts/s_utmp.c
  src/rts/s_vlcp.c
  src/rts/s_whex.c
  src/rts/s_zero.c
  src/rts/t_abse.c
  src/rts/t_acos.c
  src/rts/t_acot.c
  src/rts/t_acsh.c
  src/rts/t_acth.c
  src/rts/t_acvt.c
  src/rts/t_asin.c
  src/rts/t_asnh.c
  src/rts/t_asvt.c
  src/rts/t_atan.c
  src/rts/t_atn2.c
  src/rts/t_atnh.c
  src/rts/t_cha1.c
  src/rts/t_cha2.c
  src/rts/t_cher.c
  src/rts/t_chi1.c
  src/rts/t_chi2.c
  src/rts/t_chiv.c
  src/rts/t_chk1.c
  src/rts/t_chse.c
  src/rts/t_cmpe.c
  src/rts/t_cnst.c
  src/rts/t_conv.c
  src/rts/t_cos.c
  src/rts/t_cosh.c
  src/rts/t_cot.c
  src/rts/t_coth.c
  src/rts/t_cpye.c
  src/rts/t_ctoe.c
  src/rts/t_dadd.c
  src/rts/t_das_.c
  src/rts/t_dcmp.c
  src/rts/t_dcnv.c
  src/rts/t_dcpy.c
  src/rts/t_dcst.c
  src/rts/t_deml.c
  src/rts/t_dhi1.c
  src/rts/t_dhi2.c
  src/rts/t_dhl1.c
  src/rts/t_dhl2.c
  src/rts/t_dmsc.c
  src/rts/t_dmul.c
  src/rts/t_dnrm.c
  src/rts/t_dsub.c
  src/rts/t_ecst.c
  src/rts/t_ehi1.c
  src/rts/t_ehi2.c
  src/rts/t_ehl1.c
  src/rts/t_ehl2.c
  src/rts/t_etoa.c
  src/rts/t_etoi.c
  src/rts/t_ex10.c
  src/rts/t_exme.c
  src/rts/t_exp.c
  src/rts/t_exp2.c
  src/rts/t_glbl.c
  src/rts/t_gtrg.c
  src/rts/t_iaah.c
  src/rts/t_iabs.c
  src/rts/t_iabt.c
  src/rts/t_iacs.c
  src/rts/t_iact.c
  src/rts/t_ianh.c
  src/rts/t_iash.c
  src/rts/t_iasn.c
  src/rts/t_iath.c
  src/rts/t_iatn.c
  src/rts/t_ichs.c
  src/rts/t_icos.c
  src/rts/t_icot.c
  src/rts/t_icpe.c
  src/rts/t_icsh.c
  src/rts/t_icth.c

=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>

pkgname=c-xsc
pkgver=2.5.4
pkgrel=2
pkgdesc="A C++ class library"
arch=(x86_64)
url="http://www2.math.uni-wuppertal.de/org/WRST/xsc-frame/index.html"
license=(GPL2)
depends=(gcc-libs)
makedepends=()
source=("http://www2.math.uni-wuppertal.de/wrswt/xsc/cxsc/cxsc-${pkgver//./-}.tar.gz")
sha256sums=('fd0d824fd94bef3aae55b95e5ef19342b653fe3ff4fb561364e942c809eb616b')

build() {
  cd cxsc-${pkgver//./-}
  autoreconf -vi
  ./configure --prefix=/usr --libexecdir=/usr/lib
  make
}

package() {
  cd cxsc-${pkgver//./-}
  make install DESTDIR="$pkgdir"
}
